Public Member Functions | Static Public Member Functions

# geos::operation::geounion::PointGeometryUnion Class Reference

Computes the union of a Puntal geometry with another arbitrary Geometry. More...

`#include <PointGeometryUnion.h>`

List of all members.

## Public Member Functions
| PointGeometryUnion (const geom::Puntal &pointGeom, const geom::Geometry &otherGeom)
std::auto_ptr< geom::Geometry > | Union () const
## Static Public Member Functions
static std::auto_ptr < geom::Geometry > | Union (const geom::Puntal &pointGeom, const geom::Geometry &otherGeom)

## Detailed Description

Computes the union of a Puntal geometry with another arbitrary Geometry.

Does not copy any component geometries.

The documentation for this class was generated from the following file:

- PointGeometryUnion.h